/* (C) 2022 YiRing, Inc. */
package com.yiring.app.design.strategy;

import com.yiring.app.param.location.fence.LocationFenceJobParam;
import com.yiring.app.vo.location.fence.LocationFenceJobVo;

/**
 * 扫描是否满足报警策略
 * @author tml
 * @version 1.0
 * @date 2022/5/14 11:05
 */
@FunctionalInterface
public interface IScanAlarmStrategy {
    /**
     * 判断是否触发报警
     * @param param 参数
     * @return 需要报警的报警信息
     */
    LocationFenceJobVo scanAlarm(LocationFenceJobParam param);
}
